Zum Hauptinhalt springen
POST
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Eine Datei des Enterprise-Blueprints hochladen
curl --request POST \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "env_var_name": "<string>",
  "file_id": "<string>",
  "name": "<string>",
  "size_bytes": 123,
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageAccountSnapshots auf Enterprise-Ebene.

Verhalten

Lädt eine Datei in den Enterprise-Blueprint hoch. Die Dateien werden in der Blueprint-YAML referenziert und stehen bei Snapshot-Builds zur Verfügung.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

blueprint_id
string
erforderlich

Abfrageparameter

name
string
erforderlich

Body

multipart/form-data
file
file
erforderlich

Antwort

Erfolgreiche Antwort

Öffentliches Ressourcenformat für BlueprintFile.

blueprint_id
string
erforderlich
created_at
integer
erforderlich
env_var_name
string
erforderlich
file_id
string
erforderlich
name
string
erforderlich
size_bytes
integer
erforderlich
updated_at
integer
erforderlich